26 September 2007 - 1.7.6 | home user-guide eclipse jbossws intellij netbeans maven 1.X/2.X PDF files forums bugs sourceforge

Home
Getting Started
User Guide
IDE/Tool Plugins

- Maven Plugins
  - Maven 1.X Plugin
    - Goals
    - Properties
  - Maven 2.X Plugin
    - Goals
    - Properties
- NetBeans Plugin
  - Installation
  - Project Integration
- IntelliJ Plugin
- Eclipse Plugin
  - soapUI Nature
- JBossWS Plugin
  - New in 2.0.0 beta2
  - Getting Started
  - Publishing Web Services
    - Publish POJO Example
  - Consuming a Web Service
  - Implementing a Web Service
    - Implement WSDL Example
  - Web Service Annotations
    - EJB3/WS Annotate Example

Search soapUI site
Project Documentation

- About soapUI
- Project Info
- Project Reports

## maven 2.X plugin settings

### eviware:soapui:test settings

Property | Optional? | Description
--- | --- | ---
projectFile | Yes | Specified the name of the soapUI project file to use, default value is `${pom.artifactId}-soapui-project.xml`
testSuite | Yes | Specifies the name of the TestSuite to run
testCase | Yes | Specifies the name of the TestCase to run
endpoint | Yes | Overrides the service endpoint to be invoked by any TestRequests
host | Yes | Overrides the target host:port to be invoked by any TestRequests
username | Yes | Overrides the username used by any TestRequests run
password | Yes | Overrides the password used by any TestRequests run
domain | Yes | Overrides the domain used by any TestRequests run
printReport | Yes | Controls if a small test report should be printed to the console (yes/no)
outputFolder | Yes | Set which folder results/reports are saved to
junitReport | Yes | Turns on creation of JUnit-reports, (yes/no)
exportAll | Yes | Controls if all test requests should be exported (default only exports errors), (yes/no)
settingsFile | Yes | Specifies soapUI settings file to use

### eviware:soapui:loadtest settings

Property | Optional? | Description
--- | --- | ---
projectFile | Yes | Specified the name of the soapUI project file to use, default value is `${pom.artifactId}-soapui-project.xml`
testSuite | Yes | Specifies the name of the TestSuite to run
testCase | Yes | Specifies the name of the TestCase to run
loadTest | Yes | Specifies the name of the LoadTest to run (if running the soapui:loadtest goal)
limit | Yes | Overrides the limit of executed LoadTests (if running the soapui:loadtest goal)
endpoint | Yes | Overrides the service endpoint to be invoked by any TestRequests
host | Yes | Overrides the target host:port to be invoked by any TestRequests
username | Yes | Overrides the username used by any TestRequests run
password | Yes | Overrides the password used by any TestRequests run
domain | Yes | Overrides the domain used by any TestRequests run
printReport | Yes | Controls if a small test report should be printed to the console (yes/no)
outputFolder | Yes | Set which folder results/reports are saved to
settingsFile | Yes | Specifies soapUI settings file to use

### eviware:soapui:tool settings

Property | Optional? | Description
--- | --- | ---
projectFile | Yes | Specified the name of the soapUI project file to use, default value is `${pom.artifactId}-soapui-project.xml`
iface | Yes | Specifies the interface to generate for
tool | Yes | Specifies the tool(s) to run, a comma-separated list of axis1, axis2, dotnet, gsoap, jaxb, wstools, wsconsume, ora, wscompile, wsi, wsimport, xfire or xmlbeans
settingsFile | No | Specifies soapUI settings file to use, will contain path to integrated tool to run

### eviware:soapui:mock settings

Property | Optional? | Description
--- | --- | ---
projectFile | Yes | Specified the name of the soapUI project file to use, default value is `${pom.artifactId}-soapui-project.xml`
mockService | No | Specified the MockService to run
port | Yes | The local port to listen on, overrides the port configured for the MockService
path | Yes | The local path to listen on, overrides the path configured for the MockService
settingsFile | No | Specifies soapUI settings file to use, will contain path to integrated tool to run